/* afile.c 17/05/2004 10.16.58 */
void afile_mapdir (const char *http_dir, const char *aclfs_volume);
apr_status_t afile_file_open (apr_file_t **inf,
	 const char *f,
	 apr_int32_t flags,
	 apr_fileperms_t perm,
	 apr_pool_t *p);
apr_status_t afile_file_close (apr_file_t *inf);
apr_status_t afile_file_remove (const char *dst, apr_pool_t *p);
apr_status_t afile_file_write_full (apr_file_t *f,
	 const void *buf,
	 apr_size_t len,
	 apr_size_t *written);
apr_status_t afile_file_read_full (apr_file_t *f,
	 void *buf,
	 apr_size_t nbytes,
	 apr_size_t *bytes_read);
apr_status_t afile_file_read (apr_file_t *thefile,
	 void *buf,
	 apr_size_t *nbytes);
apr_status_t afile_file_rename (const char *from_path,
	 const char *to_path,
	 apr_pool_t *pool);
apr_status_t afile_file_seek (apr_file_t *f,
	 apr_seek_where_t where,
	 apr_off_t *offset);
apr_status_t afile_file_perms_set (const char *fname,
	 apr_fileperms_t perms);
apr_status_t afile_dir_make (const char *path,
	 apr_fileperms_t perm,
	 apr_pool_t *cont);
apr_status_t afile_dir_remove (const char *path, apr_pool_t *cont);
apr_status_t afile_stat (apr_finfo_t *finfo,
	 const char *fname,
	 apr_int32_t wanted,
	 apr_pool_t *cont);
apr_status_t afile_lstat (apr_finfo_t *finfo,
	 const char *fname,
	 apr_int32_t wanted,
	 apr_pool_t *cont);
apr_status_t afile_dir_open (apr_dir_t **new_dir,
	 const char *dirname,
	 apr_pool_t *cont);
apr_status_t afile_dir_close (apr_dir_t *thedir);
apr_status_t afile_dir_read (apr_finfo_t *finfo,
	 apr_int32_t wanted,
	 apr_dir_t *f);
apr_status_t afile_dir_rewind (apr_dir_t *f);
int afile_authenticate_basic_user (request_rec *r);
int afile_check_user_access (request_rec *r);
void afile_sockpath (const char *path);
